## org.apache.myfaces.util
Class ReverseListIterator

    java.lang.Object
      org.apache.myfaces.util.ReverseListIterator

All Implemented Interfaces:
  java.util.Iterator

public class ReverseListIterator
extends java.lang.Object
implements java.util.Iterator

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`ReverseListIterator(java.util.List list)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReverseListIterator

    public ReverseListIterator(java.util.List list)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`